/* TABLE OF CONTENTS
• CE Logo path /images/byuce-horiz-white.svg
• Miscellaneous
• Tables
• Accessibility Skip Link
• Admin Interface
*/

img {
	max-width:100%;
}

.edit,
a.edit,
a.edit:link,
a.edit:visited,
a.edit:active {
    color: var(--yellow) !important;
    font-size: .875rem !important;
    border-bottom: none !important;
}
.edit:hover .fa-pen {
    color: var(--gray_70);
}
.dialog-off-canvas-main-canvas {
    display: contents;
}
#block-byuce-theme-page-title {
    max-width: 1440px;
    margin: 0 auto;
}
.hide, .hidden, .display-none, .hide-title header h2 {
	display: none !important;
}
.visible {
	display: initial !important;
}
* {
    margin: 0;
    padding: 0;
    -moz-box-sizing: initial;
    -webkit-box-sizing: initial;
    box-sizing: initial;
    -webkit-font-smoothing: antialiased;
}
*, *:before, *:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
img {
    border-style: none;
    vertical-align: top;
    height: auto;
}

/* SHORT PAGES */
.layout-container {
    position: relative;
	display: flex;
	flex-direction: column;
    min-height: 100%;
}
#content-container {
	flex-grow: 1;
	z-index: 1;
}

/* ACCESSIBILITY SKIP LINK */
.skip { 
	position: absolute;
	top: -1000px;
	left: -1000px;
	height: 1px; 
	width: 1px;
	text-align: left;
	overflow: hidden;
	background-color: var(--white);
}
a.skip:active, 
a.skip:focus, 
a.skip:hover {
	left: 0; 
	top: 0;
	width: auto; 
	height: auto; 
	overflow: visible; 
	z-index: 100;
}

/* ADMIN INTERFACE */
.help p.highlight {
    padding: 1rem;
}
.messages__wrapper {
    padding: .25rem .5rem;
    font-size: 1rem;
}
.messages {
    border-radius: 8px;
    margin: 2rem auto;
    padding: 1rem;
    width: 768px;
    max-width: 92%;
}
.messages--status {
    border: 2px solid var(--royal);
    background-color: var(--gray_15);
}
.messages--error {
    border: 2px solid var(--red);
    color: var(--red);
    background-color: var(--highlight);
}
#block-byuce-theme-local-tasks {
    padding: .5rem;
    background-color: var(--gray_70);
    border: none;
}
#block-byuce-theme-local-tasks ul {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0;
    font-size: 1rem;
}
#block-byuce-theme-local-tasks ul li {
    display: inline-block;
    padding-right: 1rem;
}
#block-byuce-theme-local-tasks ul li a {
    color: var(--white);
}
#block-byuce-theme-local-tasks ul li a:hover {
    border-bottom: 1px solid var(--light_blue);
}

.contextual .trigger {
  background-color: var(--highlight);
  background-image: url(../../../../../themes/custom/byuce_theme/images/icons/pencil.svg);
  margin-bottom: 0;
}
.block-block-content .contextual-links li:nth-child(2),
.node .contextual-links li:nth-child(2) {
	display: none;
}
.contextual-region .contextual .contextual-links,
.contextual-region .contextual .contextual-links li,
.contextual-region .contextual .contextual-links a,
.no-touchevents .contextual-region .contextual .contextual-links li a:hover {
	background-color: var(--highlight);
}
.contextual-links a,
.contextual-links a:link,
.contextual-links a:visited {
	color: var(--royal) !important;
	border-bottom: none !important;
	font-weight: bold;
	padding-right: 12px !important;
}
.contextual-links a:hover {
	color: var(--red) !important;
}
ul.tabs.primary {
    margin-bottom: 1.125rem;
}
.tabs__tab a, .tabs__tab a:link, .tabs__tab a:visited, .tabs__tab a:active, .tabs__tab li a, .tabs__tab li a:link, .tabs__tab li a:visited, .tabs__tab li a:active {
    border-bottom: none;
    margin-bottom: -1px;
}
.tabs a:focus, .tabs a:hover {
    border-bottom: 2px solid var(--royal);
}
.tabs a.is-active, .tabs a.is-active:hover {
    color: var(--royal);
    border-bottom: none;
    font-weight: bold;
}
.layout-builder-block {
    background-color: unset;
}
.layout-builder-form {
    position: relative;
    z-index: 1;
    padding: 1rem .5rem .25rem;
    font-size: .875rem;
    background-color: var(--gray_10);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14),
              0 3px 1px -2px rgba(0, 0, 0, .2),
              0 1px 5px 0 rgba(0, 0, 0, .12);
}
.layout-builder-form .form-actions, #edit-layout-builder-message, .layout-builder-form .form-item {
    max-width: 1200px;
    margin: 0 auto 1rem;
}
.layout-builder-form .button {
    padding: .375rem;
    margin: 0 .5rem .5rem 0;
    border: none;
    border-radius: .25rem;
    background-color: var(--royal);
    color: var(--white);
    font-weight: bold;
    cursor: pointer;
}
.layout-builder__add-section,
.layout-builder__add-block {
    z-index: 1000;
    position: relative;
}
.layout-builder__message--overrides .messages {
    background-image: none;
}
.vertical-tabs {
    margin: .5rem 0 .5em 15em;
    background-color: var(--white);
}
.js-form-item-revision {
    padding: .5rem 1rem;
}
#footer .contextual-links a:visited {
    color: var(--navy) !important;
}